How to Install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver

Posted on

Introduction on PlayOnLinux

This article is focusing on how to install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver. According to the information available in Wikipedia, PlayOnLinux is a graphical frontend for the Wine software compatibility layer. It  allows Linux users to install Windows-based applications.  Among all of them for examples are  video games, office, Microsoft Internet Explorer. While initially, it is an application available for Linux operating systems, it is also available on macOS and FreeBSD. Respectivelyunder the names of PlayOnMac and PlayOnBSD. It can also be used on other operating systems supported by Wine.

Installation Process of PlayOnLinux on Linux Ubuntu 18.04 Bionic Beaver

1. Using the following command, just type it in the command line :

root@hostname:~# apt -y install playonlinux
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libgl1-mesa-dri:i386 : Depends: libc6:i386 (>= 2.27) but it is not going to be installed
                        Depends: libdrm-amdgpu1:i386 (>= 2.4.89) but it is not going to be installed
                        Depends: libdrm-intel1:i386 (>= 2.4.38) but it is not going to be installed
                        Depends: libdrm-nouveau2:i386 (>= 2.4.66) but it is not going to be installed
                        Depends: libdrm-radeon1:i386 (>= 2.4.31) but it is not going to be installed
                        Depends: libdrm2:i386 (>= 2.4.75) but it is not going to be installed
                        Depends: libelf1:i386 (>= 0.142) but it is not going to be installed
                        Depends: libexpat1:i386 (>= 2.0.1) but it is not going to be installed
                        Depends: libgcc1:i386 (>= 1:3.4) but it is not going to be installed
                        Depends: libglapi-mesa:i386 but it is not going to be installed
                        Depends: libllvm6.0:i386 (>= 1:6.0~svn298832-1~) but it is not going to be installed
                        Depends: libsensors4:i386 (>= 1:3.0.0) but it is not going to be installed
                        Depends: libstdc++6:i386 (>= 5.2) but it is not going to be installed
                        Depends: zlib1g:i386 (>= 1:1.1.4) but it is not going to be installed
 libicu60:i386 : Depends: libc6:i386 (>= 2.7) but it is not going to be installed
                 Depends: libgcc1:i386 (>= 1:7) but it is not going to be installed
                 Depends: libstdc++6:i386 (>= 5.2) but it is not going to be installed
 playonlinux : Depends: wine or
                        wine-development but it is not going to be installed
               Depends: python-wxgtk3.0 but it is not going to be installed
               Depends: cabextract
               Depends: mesa-utils but it is not going to be installed
               Depends: icoutils
               Depends: p7zip-full but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@hostname:~#

2. Since there is a dependency problem, according to the suggestion in the output of the command above, just type the command as follows :

root@hostname:~# apt -y --fix-broken install playonlinux
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libgl1-mesa-dri:i386 : Depends: libc6:i386 (>= 2.27) but it is not going to be installed
                        Depends: libdrm-amdgpu1:i386 (>= 2.4.89) but it is not going to be installed
                        Depends: libdrm-intel1:i386 (>= 2.4.38) but it is not going to be installed
                        Depends: libdrm-nouveau2:i386 (>= 2.4.66) but it is not going to be installed
                        Depends: libdrm-radeon1:i386 (>= 2.4.31) but it is not going to be installed
                        Depends: libdrm2:i386 (>= 2.4.75) but it is not going to be installed
                        Depends: libelf1:i386 (>= 0.142) but it is not going to be installed
                        Depends: libexpat1:i386 (>= 2.0.1) but it is not going to be installed
                        Depends: libgcc1:i386 (>= 1:3.4) but it is not going to be installed
                        Depends: libglapi-mesa:i386 but it is not going to be installed
                        Depends: libllvm6.0:i386 (>= 1:6.0~svn298832-1~) but it is not going to be installed
                        Depends: libsensors4:i386 (>= 1:3.0.0) but it is not going to be installed
                        Depends: libstdc++6:i386 (>= 5.2) but it is not going to be installed
                        Depends: zlib1g:i386 (>= 1:1.1.4) but it is not going to be installed
 libicu60:i386 : Depends: libc6:i386 (>= 2.7) but it is not going to be installed
                 Depends: libgcc1:i386 (>= 1:7) but it is not going to be installed
                 Depends: libstdc++6:i386 (>= 5.2) but it is not going to be installed
 playonlinux : Depends: wine or
                        wine-development but it is not going to be installed
               Depends: python-wxgtk3.0 but it is not going to be installed
               Depends: cabextract
               Depends: mesa-utils but it is not going to be installed
               Depends: icoutils
               Depends: p7zip-full but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@hostname:~#

Apparently, typing ‘apt -y –fix-broken install playonlinux’ is not solving the problem. Try to re-execute the command without the additional parameter ‘playonlinux’ as follows :

root@hostname:~# apt -y --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  gcc-8-base:i386 libc6:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libgcc1:i386
  libglapi-mesa:i386 libllvm6.0:i386 libpciaccess0:i386 libsensors4:i386 libstdc++6:i386 libtinfo5:i386 zlib1g:i386
Suggested packages:
  glibc-doc:i386 locales:i386 lm-sensors:i386
The following NEW packages will be installed:
  gcc-8-base:i386 libc6:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libgcc1:i386
  libglapi-mesa:i386 libllvm6.0:i386 libpciaccess0:i386 libsensors4:i386 libstdc++6:i386 libtinfo5:i386 zlib1g:i386
0 upgraded, 19 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0 B/19,9 MB of archives.
After this operation, 82,1 MB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously unselected package gcc-8-base:i386.
(Reading database ... 274373 files and directories currently installed.)
Preparing to unpack .../00-gcc-8-base_8.2.0-1ubuntu2~18.04_i386.deb ...
Unpacking gcc-8-base:i386 (8.2.0-1ubuntu2~18.04) ...
Selecting previously unselected package libgcc1:i386.
Preparing to unpack .../01-libgcc1_1%3a8.2.0-1ubuntu2~18.04_i386.deb ...
Unpacking libgcc1:i386 (1:8.2.0-1ubuntu2~18.04) ...
Selecting previously unselected package libc6:i386.
Preparing to unpack .../02-libc6_2.27-3ubuntu1_i386.deb ...
Unpacking libc6:i386 (2.27-3ubuntu1) ...
Selecting previously unselected package libstdc++6:i386.
Preparing to unpack .../03-libstdc++6_8.2.0-1ubuntu2~18.04_i386.deb ...
Unpacking libstdc++6:i386 (8.2.0-1ubuntu2~18.04) ...
Selecting previously unselected package libdrm2:i386.
Preparing to unpack .../04-libdrm2_2.4.91-2_i386.deb ...
Unpacking libdrm2:i386 (2.4.91-2) ...
Selecting previously unselected package libdrm-amdgpu1:i386.
Preparing to unpack .../05-libdrm-amdgpu1_2.4.91-2_i386.deb ...
Unpacking libdrm-amdgpu1:i386 (2.4.91-2) ...
Selecting previously unselected package zlib1g:i386.
Preparing to unpack .../06-zlib1g_1%3a1.2.11.dfsg-0ubuntu2_i386.deb ...
Unpacking zlib1g:i386 (1:1.2.11.dfsg-0ubuntu2) ...
Selecting previously unselected package libpciaccess0:i386.
Preparing to unpack .../07-libpciaccess0_0.14-1_i386.deb ...
Unpacking libpciaccess0:i386 (0.14-1) ...
Selecting previously unselected package libdrm-intel1:i386.
Preparing to unpack .../08-libdrm-intel1_2.4.91-2_i386.deb ...
Unpacking libdrm-intel1:i386 (2.4.91-2) ...
Selecting previously unselected package libdrm-nouveau2:i386.
Preparing to unpack .../09-libdrm-nouveau2_2.4.91-2_i386.deb ...
Unpacking libdrm-nouveau2:i386 (2.4.91-2) ...
Selecting previously unselected package libdrm-radeon1:i386.
Preparing to unpack .../10-libdrm-radeon1_2.4.91-2_i386.deb ...
Unpacking libdrm-radeon1:i386 (2.4.91-2) ...
Selecting previously unselected package libelf1:i386.
Preparing to unpack .../11-libelf1_0.170-0.4_i386.deb ...
Unpacking libelf1:i386 (0.170-0.4) ...
Selecting previously unselected package libexpat1:i386.
Preparing to unpack .../12-libexpat1_2.2.5-3_i386.deb ...
Unpacking libexpat1:i386 (2.2.5-3) ...
Selecting previously unselected package libglapi-mesa:i386.
Preparing to unpack .../13-libglapi-mesa_18.0.5-0ubuntu0~18.04.1_i386.deb ...
Unpacking libglapi-mesa:i386 (18.0.5-0ubuntu0~18.04.1) ...
Selecting previously unselected package libtinfo5:i386.
Preparing to unpack .../14-libtinfo5_6.1-1ubuntu1.18.04_i386.deb ...
Unpacking libtinfo5:i386 (6.1-1ubuntu1.18.04) ...
Selecting previously unselected package libedit2:i386.
Preparing to unpack .../15-libedit2_3.1-20170329-1_i386.deb ...
Unpacking libedit2:i386 (3.1-20170329-1) ...
Selecting previously unselected package libffi6:i386.
Preparing to unpack .../16-libffi6_3.2.1-8_i386.deb ...
Unpacking libffi6:i386 (3.2.1-8) ...
Selecting previously unselected package libllvm6.0:i386.
Preparing to unpack .../17-libllvm6.0_1%3a6.0-1ubuntu2_i386.deb ...
Unpacking libllvm6.0:i386 (1:6.0-1ubuntu2) ...
Selecting previously unselected package libsensors4:i386.
Preparing to unpack .../18-libsensors4_1%3a3.4.0-4_i386.deb ...
Unpacking libsensors4:i386 (1:3.4.0-4) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up gcc-8-base:i386 (8.2.0-1ubuntu2~18.04) ...
Setting up libc6:i386 (2.27-3ubuntu1) ...
Setting up libglapi-mesa:i386 (18.0.5-0ubuntu0~18.04.1) ...
Setting up libdrm2:i386 (2.4.91-2) ...
Setting up libsensors4:i386 (1:3.4.0-4) ...
Setting up libffi6:i386 (3.2.1-8) ...
Setting up libdrm-radeon1:i386 (2.4.91-2) ...
Setting up libdrm-nouveau2:i386 (2.4.91-2) ...
Setting up libgcc1:i386 (1:8.2.0-1ubuntu2~18.04) ...
Setting up libtinfo5:i386 (6.1-1ubuntu1.18.04) ...
Setting up libexpat1:i386 (2.2.5-3) ...
Setting up libdrm-amdgpu1:i386 (2.4.91-2) ...
Setting up zlib1g:i386 (1:1.2.11.dfsg-0ubuntu2) ...
Setting up libelf1:i386 (0.170-0.4) ...
Setting up libpciaccess0:i386 (0.14-1) ...
Setting up libstdc++6:i386 (8.2.0-1ubuntu2~18.04) ...
Setting up libedit2:i386 (3.1-20170329-1) ...
Setting up libicu60:i386 (60.2-3ubuntu3) ...
Setting up libllvm6.0:i386 (1:6.0-1ubuntu2) ...
Setting up libdrm-intel1:i386 (2.4.91-2) ...
Setting up libgl1-mesa-dri:i386 (18.0.5-0ubuntu0~18.04.1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
root@hostname:~# 

Finally, the execution is over. After the installation process of PlayOnLinux is a success, just type the command to execute PlayOnLinux as in the following image :

How to Install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver
How to Install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver

If the tool or the program exist, the following image of PlayOnLinux appears :

How to Install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver
How to Install PlayOnLinux in Linux Ubuntu 18.04 Bionic Beaver

Leave a Reply